Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "807846e5-550a-4263-b433-1bbb2ab9dcba",
"user_id": "890c34c8-f041-41af-94b3-15a145ba9e04",
"user_planning_slot_type_id": "05fc9093-c6b9-4bb0-9bfd-c27851c7e0f4",
"date_from": "2026-10-23T10:51:23.3345084+00:00",
"date_to": "2026-10-23T10:51:23.3345084+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-23T10:51:23.3345084+00:00"
}